This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 470756 - Review Request: ghc-HTTP - Haskell HTTP client library
Review Request: ghc-HTTP - Haskell HTTP client library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 471003
  Show dependency treegraph
 
Reported: 2008-11-09 20:34 EST by Jens Petersen
Modified: 2013-11-13 07:57 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-06 23:39:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tibbs: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2008-11-09 20:34:25 EST
Spec URL: http://petersen.fedorapeople.org/ghc-HTTP/ghc-HTTP.spec
SRPM URL: http://petersen.fedorapeople.org/ghc-HTTP/ghc-HTTP-3001.1.4-1.fc9.src.rpm
Description: A HTTP client library for Haskell

http://hackage.haskell.org/cgi-bin/hackage-scripts/package/HTTP

This package is needed to build cabal-install: the haskell package manager tool.

(Please ignore the .fc9 tag and probably need to replace ghc_version with 6.8.3 for current rawhide (f10): ghc-6.10.1 is in koji but the version does not matter for this review: I will revert in the next update if necessary.:)
Comment 1 Jens Petersen 2008-11-09 21:30:29 EST
Here is on that actually builds in koji: had forgotten to specify ghc archs.

Spec URL: http://petersen.fedorapeople.org/ghc-HTTP/ghc-HTTP.spec
SRPM URL: http://petersen.fedorapeople.org/ghc-HTTP/ghc-HTTP-3001.1.4-2.fc9.src.rpm


http://koji.fedoraproject.org/koji/taskinfo?taskID=923902
Comment 2 Jens Petersen 2008-11-24 21:03:05 EST
Few minor tweaks to bring package in line with latest updated draft revised guidelines.

The package is now equivalent to generating with the cabal2spec script being adding in ghc-6.10.1-5.fc11.

Spec URL: http://petersen.fedorapeople.org/ghc-HTTP/ghc-HTTP.spec
SRPM URL: http://petersen.fedorapeople.org/ghc-HTTP/ghc-HTTP-3001.1.4-3.fc10.src.rpm
Comment 3 Jens Petersen 2008-11-28 00:54:30 EST
- don't include license file in -prof subpackage

Spec: http://petersen.fedorapeople.org/ghc-HTTP/ghc-HTTP.spec
SRPM: http://petersen.fedorapeople.org/ghc-HTTP/ghc-HTTP-3001.1.4-4.fc10.src.rpm
Comment 4 Jason Tibbitts 2008-12-16 22:11:08 EST
This fails to build for me, in a bizarre way:

+ %cabal_build
/var/tmp/rpm-tmp.CbV8LX: line 32: fg: no job control
error: Bad exit status from /var/tmp/rpm-tmp.CbV8LX (%build)
    Bad exit status from /var/tmp/rpm-tmp.CbV8LX (%build)

This package looks significantly different from the ghc-paths package I just reviewed; I'm guessing this package just needs an update to work with the new set of macros.
Comment 5 Jens Petersen 2008-12-17 01:15:41 EST
Ah yes - I will update to "%cabal build" and "%cabal haddock" soon.
Comment 6 Jason Tibbitts 2008-12-21 15:53:02 EST
Please clear the whiteboard when this is ready for review.
Comment 7 Jens Petersen 2008-12-22 23:32:14 EST
Thanks Jason - sorry was too busy last week to update.

Spec: http://petersen.fedorapeople.org/ghc-HTTP/ghc-HTTP.spec
SRPM:
http://petersen.fedorapeople.org/ghc-HTTP/ghc-HTTP-3001.1.5-1.fc10.src.rpm

* Tue Dec 23 2008 Jens Petersen <petersen@redhat.com> - 3001.1.5-1
- update to 3001.1.5
- use bcond for doc and prof
- minor tweaks for latest packaging guidelines


(A little comment: this package is no longer the latest version, but 4000.0.0 seems to be too new for the current release of cabal-install - I am not quite sure how we can deal with multiple library versions inside Fedora, but it may be a problem we have to face at some point.  Though hopefully the coming Haskell (library) Platform will help with this kind for basic packages like this one.)
Comment 8 Jason Tibbitts 2008-12-23 13:53:41 EST
My advice would be to simply not attempt multiple library versions.  If you find yourself in a case where you have to maintain something backrevved, you're already lost to a certain degree.

This package looks fine to me.  rpmlint says:
  ghc-HTTP.x86_64: W: devel-file-in-non-devel-package 
   /usr/lib64/ghc-6.10.1/HTTP-3001.1.5/libHSHTTP-3001.1.5.a
  ghc-HTTP-prof.x86_64: W: no-documentation
  ghc-HTTP-prof.x86_64: W: devel-file-in-non-devel-package 
   /usr/lib64/ghc-6.10.1/HTTP-3001.1.5/libHSHTTP-3001.1.5_p.a
which are all normal for Haskell packages.

* source files match upstream.  sha256sum:
  e34d9f979bafbbf2e45bf90a9ee9bfd291f3c67c291a250cc0a6378431578aeb  
   HTTP-3001.1.5.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint has acceptable complaints.
* final provides and requires are sane:
  ghc-HTTP-3001.1.5-1.fc11.x86_64.rpm
   ghc-HTTP-devel = 3001.1.5-1.fc11
   ghc-HTTP = 3001.1.5-1.fc11
   ghc-HTTP(x86-64) = 3001.1.5-1.fc11
  =
   /bin/sh
   ghc = 6.10.1

  ghc-HTTP-prof-3001.1.5-1.fc11.x86_64.rpm
   ghc-HTTP-prof = 3001.1.5-1.fc11
   ghc-HTTP-prof(x86-64) = 3001.1.5-1.fc11
  =
   ghc-HTTP = 3001.1.5-1.fc11
   ghc-prof = 6.10.1

* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* scriptlets OK (ghc package registration and documentation indexing)
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 9 Jens Petersen 2009-01-05 07:49:23 EST
Thank you.


New Package CVS Request
=======================
Package Name: ghc-HTTP
Short Description: HTTP client library for Haskell
Owners: petersen
Branches: F-10
InitialCC: haskell-sig
Comment 10 Kevin Fenzi 2009-01-06 20:24:56 EST
cvs done.
Comment 11 Jens Petersen 2009-01-06 23:39:44 EST
Thanks again for the review.

Package imported and built for f11.  F10 build will follow later.
Comment 12 Jens Petersen 2010-09-29 01:39:04 EDT
Package Change Request
======================
Package Name: ghc-HTTP
New Branches: el6
Owners: petersen
InitialCC: haskell-sig
Comment 13 Kevin Fenzi 2010-09-29 14:36:14 EDT
Git done (by process-git-requests).
Comment 14 Jens Petersen 2013-11-12 22:38:53 EST
Package Change Request
======================
Package Name: ghc-HTTP
New Branches: el5
Owners: petersen
InitialCC: haskell-sig
Comment 15 Jon Ciesla 2013-11-13 07:57:06 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.